Alerta Masiva de Ciberseguridad por Múltiples vulnerabilidades en uAMQP de Azure

  • 07/05/2024
  • 39
Alerta Masiva de Ciberseguridad por Múltiples vulnerabilidades en uAMQP de Azure

Fecha 24/04/2024
Importancia 5 - Crítica

Recursos Afectados
Serie AIG-301, versión de firmware v1.5 y anteriores.

Descripción
Moxa ha publicado 3 vulnerabilidades de severidad crítica que podrían permitir la ejecución remota de código.

Solución
Actualiza el firmware v1.5.1 o superior.

Detalle
Para  las vulnerabilidades detectadas un atacante podría procesar un estado fallido `AMQP_VALUE` incorrecto y causar un problema de doble liberación, desencadenar un problema de uso después de la liberación o crear datos de tipo binario para producirse un desbordamiento de enteros, un ajuste envolvente o un problema de seguridad de la memoria. Todo ello derivaría en una ejecución remota de código. 
Se han asignado los identificadores CVE-2024-27099, CVE-2024-25110 y CVE-2024-21646 para estas vulnerabilidades.